####################################################################################################
# bsl_nucleo_f042k6.cmake
####################################################################################################

####################################################################################################
#PROJECT & LIBRARIES : defined by user and important that it comes after the VARIABLES otherwise the Set varibale will not be used. 
####################################################################################################
set(CMAKE_CXX_STANDARD 11)
set(CSL_USED ${CMAKE_SOURCE_DIR}/csl/rpi)
####################################################################################################
#VARIABLES : defined by user
####################################################################################################

set(C_FLAGS 
	-Wall				#Error : If you don't know this one please chek basical compiling 
	-fdiagnostics-color=always
	$<$<CONFIG:Debug>:-O -g -gdwarf-2>)

set(C_DEFS 
	-DRASPBERRY #Defined by kerem to auto configure headers in main.hpp
	)

set (CPP_INCLUDES ${CMAKE_SOURCE_DIR})
set (CPP_FLAGS ${C_FLAGS})
set (CPP_DEFS ${C_DEFS})

#list(APPEND EXTRA_LIBS sub::translator)
list(APPEND EXTRA_LIBS sub::delay)
list(APPEND EXTRA_LIBS sub::gpio)
